'use strict';

var path = require('path');

baseDir = './src/';

topLevelDirectories = ['app', 'user', 'shared']; // TODO: Enumerate directories in baseDir

shouldModify = function (modulePath) {
  return topLevelDirectories.some(function (directory) {
    return modulePath.startsWith(directory);
  });
};

resolveModule = function (modulePathToResolve, filename) {

  if (shouldModify(modulePathToResolve)) {
    var modulePathRelativeToBase = path.join(baseDir, modulePathToResolve);
    absoluteModulePath = path.resolve(modulePathRelativeToBase);
    moduleDirectoryRelativeToFilename = path.relative(path.dirname(filename), path.dirname(absoluteModulePath));
    modulePathRelativeToFilename = './' + moduleDirectoryRelativeToFilename + '/' + path.basename(modulePathToResolve);
    return modulePathRelativeToFilename;
  } else {
    return modulePathToResolve;
  }
};

module.exports = resolveModule;